it.reply.healty.innovapuglia.mstaccuino.utility

## Class ContextHolder

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.utility.ContextHolder

-     public final class ContextHolder
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ThreadLocal<LocalDateTime>` | `OPERATION_TIMESTAMP`
    `static ThreadLocal<String>` | `PATIENT_CF`
    `static ThreadLocal<String>` | `REMOTE_SERVICE_NAME`
    `static ThreadLocal<String>` | `SAML_ACTION_ID`
    `static ThreadLocal<String>` | `SAML_APP_CREATED`
    `static ThreadLocal<String>` | `SAML_APP_DIGEST`
    `static ThreadLocal<String>` | `SAML_APP_ID`
    `static ThreadLocal<String>` | `SAML_APP_NONCE`
    `static ThreadLocal<String>` | `SAML_APP_VENDOR`
    `static ThreadLocal<String>` | `SAML_APP_VERSION`
    `static ThreadLocal<org.opensaml.saml2.core.Assertion>` | `SAML_AUTHORIZATION_ASSERTION`
    `static ThreadLocal<org.opensaml.saml2.core.Assertion>` | `SAML_IDENTITY_ASSERTION`
    `static ThreadLocal<String>` | `SAML_ISSUER`
    `static ThreadLocal<String>` | `SAML_LOCALITY`
    `static ThreadLocal<String>` | `SAML_NAME_ID`
    `static ThreadLocal<String>` | `SAML_ORGANIZATION_ID`
    `static ThreadLocal<String>` | `SAML_ORGANIZATION_NAME`
    `static ThreadLocal<String>` | `SAML_PERMISSION`
    `static ThreadLocal<String>` | `SAML_PURPOSE_OF_USE`
    `static ThreadLocal<String>` | `SAML_RESOURCE_ID`
    `static ThreadLocal<String>` | `SAML_SUBJECT_ID`
    `static ThreadLocal<String>` | `SAML_SUBJECT_ROLE`
    `static ThreadLocal<String>` | `SAML_TYPE_OF_CARE`
    `static ThreadLocal<String>` | `SERVICE_NAME`
    `static ThreadLocal<String>` | `TRANSACTION_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextHolder()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clear()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SAML_NAME_ID

          public static final ThreadLocal<String> SAML_NAME_ID

    - #### SAML_SUBJECT_ID

          public static final ThreadLocal<String> SAML_SUBJECT_ID

    - #### SAML_RESOURCE_ID

          public static final ThreadLocal<String> SAML_RESOURCE_ID

    - #### SAML_ACTION_ID

          public static final ThreadLocal<String> SAML_ACTION_ID

    - #### SAML_ORGANIZATION_ID

          public static final ThreadLocal<String> SAML_ORGANIZATION_ID

    - #### SAML_ORGANIZATION_NAME

          public static final ThreadLocal<String> SAML_ORGANIZATION_NAME

    - #### SAML_SUBJECT_ROLE

          public static final ThreadLocal<String> SAML_SUBJECT_ROLE

    - #### SAML_PERMISSION

          public static final ThreadLocal<String> SAML_PERMISSION

    - #### SAML_TYPE_OF_CARE

          public static final ThreadLocal<String> SAML_TYPE_OF_CARE

    - #### SAML_PURPOSE_OF_USE

          public static final ThreadLocal<String> SAML_PURPOSE_OF_USE

    - #### SAML_LOCALITY

          public static final ThreadLocal<String> SAML_LOCALITY

    - #### SAML_APP_VENDOR

          public static final ThreadLocal<String> SAML_APP_VENDOR

    - #### SAML_APP_DIGEST

          public static final ThreadLocal<String> SAML_APP_DIGEST

    - #### SAML_APP_VERSION

          public static final ThreadLocal<String> SAML_APP_VERSION

    - #### SAML_APP_NONCE

          public static final ThreadLocal<String> SAML_APP_NONCE

    - #### SAML_APP_CREATED

          public static final ThreadLocal<String> SAML_APP_CREATED

    - #### SAML_APP_ID

          public static final ThreadLocal<String> SAML_APP_ID

    - #### SAML_ISSUER

          public static final ThreadLocal<String> SAML_ISSUER

    - #### SAML_IDENTITY_ASSERTION

          public static final ThreadLocal<org.opensaml.saml2.core.Assertion> SAML_IDENTITY_ASSERTION

    - #### SAML_AUTHORIZATION_ASSERTION

          public static final ThreadLocal<org.opensaml.saml2.core.Assertion> SAML_AUTHORIZATION_ASSERTION

    - #### TRANSACTION_ID

          public static final ThreadLocal<String> TRANSACTION_ID

    - #### PATIENT_CF

          public static final ThreadLocal<String> PATIENT_CF

    - #### SERVICE_NAME

          public static final ThreadLocal<String> SERVICE_NAME

    - #### REMOTE_SERVICE_NAME

          public static final ThreadLocal<String> REMOTE_SERVICE_NAME

    - #### OPERATION_TIMESTAMP

          public static final ThreadLocal<LocalDateTime> OPERATION_TIMESTAMP

  - ### Constructor Detail

    - #### ContextHolder

          public ContextHolder()

  - ### Method Detail

    - #### clear

          public static void clear()

Copyright © 2024. All rights reserved.